<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/22/2004 *
 * ================                             Last change: 09/22/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_order.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Configuration for order page                     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Konfiguration der Mailbuchungsseite              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

if (IS_FORM_SENT()) {
	// Save data
	ADMIN_SAVE_SETTINGS_POST();
} else {
	// Prepare constants for the template
	switch (getConfig('order_max_full'))
	{
		case 'ORDER':
			define('__ORDER_DEFAULT', ' checked="checked"');
			define('__MAX_DEFAULT'  , '');
			break;

		case 'MAX':
			define('__ORDER_DEFAULT', '');
			define('__MAX_DEFAULT'  , ' checked="checked"');
			break;
	}

	// Minimum mails / order
	define('__MIN_VALUE', getConfig('order_min'));

	// Sorting mode (ascending / descending)
	switch (getConfig('order_mode'))
	{
		case "ASC":
			define('__ASC_DEFAULT' , ' selected="selected"');
			define('__DESC_DEFAULT', '');
			break;

		case "DESC":
			define('__ASC_DEFAULT' , '');
			define('__DESC_DEFAULT', ' selected="selected"');
			break;
	}

	// Transfer other config data into constants for the template
	define('_CFG_UNCONFIRMED'   , getConfig('unconfirmed'));
	define('_CFG_MAX_TLENGTH'   , getConfig('max_tlength'));

	if (getConfig('test_text') != 'Y') {
		define('_CFG_TEST_TEXT_N', ' checked="checked"');
		define('_CFG_TEST_TEXT_Y', '');
	} else {
		define('_CFG_TEST_TEXT_N', '');
		define('_CFG_TEST_TEXT_Y', ' checked="checked"');
	}

	switch (getConfig('repay_deleted_mails')) {
		case 'REPAY':
			define('_CFG_REPAY_POINTS_REPAY'  , ' selected="selected"');
			define('_CFG_REPAY_POINTS_JACKPOT', '');
			define('_CFG_REPAY_POINTS_SHRED'  , '');
			break;

		case 'JACKPOT':
			define('_CFG_REPAY_POINTS_REPAY'  , '');
			define('_CFG_REPAY_POINTS_JACKPOT', ' selected="selected"');
			define('_CFG_REPAY_POINTS_SHRED'  , '');
			break;

		case 'SHRED':
			define('_CFG_REPAY_POINTS_REPAY'  , '');
			define('_CFG_REPAY_POINTS_JACKPOT', '');
			define('_CFG_REPAY_POINTS_SHRED'  , ' selected="selected"');
			break;
	}

	if (getConfig('test_subj') != 'Y') {
		define('_CFG_TEST_SUBJ_N', ' checked="checked"');
		define('_CFG_TEST_SUBJ_Y', '');
	} else {
		define('_CFG_TEST_SUBJ_N', '');
		define('_CFG_TEST_SUBJ_Y', ' checked="checked"');
	}

	if (getConfig('url_blacklist') != 'Y') {
		define('_CFG_URL_BLIST_N', ' checked="checked"');
		define('_CFG_URL_BLIST_Y', '');
	} else {
		define('_CFG_URL_BLIST_N', '');
		define('_CFG_URL_BLIST_Y', ' checked="checked"');
	}

	// Selection list
	define('__ORDER_SELECT', ORDER_SELECT_OPTION_LIST(getConfig('order_select')));

	// Load template
	LOAD_TEMPLATE("admin_config_order");
}
//
?>
