<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/27/2004 *
 * ================                             Last change: 07/13/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_cats.php                               *
 * -------------------------------------------------------------------- *
 * Short description : List selected categories from users              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ausgewaehlte Kategorien eines Mitgliedes         *
 *                     auflisten                                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

if (REQUEST_ISSET_GET('uid')) {
	// Check if the user already exists
	$result = SQL_QUERY_ESC("SELECT surname, family, email FROM `{!_MYSQL_PREFIX!}_user_data` WHERE userid=%s LIMIT 1",
	array(bigintval(REQUEST_GET('uid'))), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// Loads surname, family's name and the email address
		list($sname, $fname, $email) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);

		// Prepare constants
		define('__CATS_BASE'   , "<a href=\"{!URL!}/modules.php?module=admin&amp;uid=");
		define('__UID'         , bigintval(REQUEST_GET('uid')));
		define('__MEMBER_LINKS', generateMemberAdminActionLinks(constant('__UID')));
		define('__EMAIL'       , "<a href=\"".generateMemberEmailLink($email, "user_data")."\">".$sname." ".$fname."</a>");

		// Ok, list categories of this user
		$result_cats = SQL_QUERY("SELECT id, cat FROM `{!_MYSQL_PREFIX!}_cats` ORDER BY `sort`", __FILE__, __LINE__);

		if (SQL_NUMROWS($result_cats) > 0) {
			// List categories
			$cnt = 1; $OUT = ''; $SW = 2;
			while ($content = SQL_FETCHARRAY($result_cats)) {
				// Check user's selection
				$result_user = SQL_QUERY_ESC("SELECT `id` FROM `{!_MYSQL_PREFIX!}_user_cats` WHERE userid=%s AND cat_id=%s LIMIT 1",
				array(bigintval(REQUEST_GET('uid')), bigintval($content['id'])), __FILE__, __LINE__);

				// Set selection
				$selection = "<font color=\"#ee0000\">{--NO--}</div>";
				if (SQL_NUMROWS($result_user) == 1) $selection = "<font color=\"#00ee00\">{--YES--}</div>";

				// Add more elements
				$content['sw']  = $SW;
				$content['cnt'] = $cnt;
				$content['sel'] = $selection;

				// Load row template and switch colors + count up
				$OUT .= LOAD_TEMPLATE("admin_list_cats_row", true, $content);
				$SW = 3 - $SW; $cnt++;
			} // END - while

			// Free memory
			SQL_FREERESULT($result);

			// @TODO Rewrite this constant
			define('__CATS_ROWS', $OUT);

			// Load main template
			LOAD_TEMPLATE("admin_list_cats");
		} else {
			// No categories selected! :-(
			LOAD_TEMPLATE("admin_list_cats_404");
		}
	} else {
		// User not found
		LOAD_TEMPLATE('admin_settings_saved', false, sprintf(getMessage('ADMIN_MEMBER_404'), constant('__UID')));
	}
} else {
	// Output selection form with all confirmed user accounts listed
	ADD_MEMBER_SELECTION_BOX();
}

//
?>
